script.on_configuration_changed(function()
	for i,player in pairs(game.players) do
	    if player.force.technologies["tanks"].researched and player.force.technologies["tankwerkz-light-tanks"].researched == false then
		  player.force.technologies["tankwerkz-light-tanks"].researched = true
		  player.force.reset_technologies()
		end
	end

	for index, force in pairs(game.forces) do
	  local technologies = force.technologies;

	  local researchList = {
	    { research_name = "bullet-damage", ammo_category = "tankwerkz-heavy-mg", modifiers = {0.1, 0.1, 0.2, 0.2, 0.2, 0.4 }, modifier_type = "ammo_damage"},
	    { research_name = "rocket-damage", ammo_category = "tankwerkz-hydra-rocket", modifiers = {0.1, 0.1, 0.2, 0.2, 0.2 }, modifier_type = "ammo_damage"},
	    { research_name = "flamethrower-damage", ammo_category = "tankwerkz-tank-flame-thrower", modifiers = {0.1, 0.1, 0.2, 0.2, 0.2, 0.4 }, modifier_type = "ammo_damage"},

	    { research_name = "bullet-speed", ammo_category = "tankwerkz-heavy-mg", modifiers = {0.1, 0.2, 0.2, 0.3, 0.3, 0.4 }, modifier_type = "gun_speed"},
	  }

	  for v, item in pairs(researchList) do

	    for k, modifier in ipairs(item.modifiers) do
	      name = item.research_name .. "-" .. k
	      if technologies[name].researched then
	      	if item.modifier_type == "ammo_damage" then
	        	force.set_ammo_damage_modifier(item.ammo_category , force.get_ammo_damage_modifier(item.ammo_category) + modifier)
	        end

	        if item.modifier_type == "gun_speed" then
	        	force.set_gun_speed_modifier(item.ammo_category , force.get_gun_speed_modifier(item.ammo_category) + modifier)
	        end
	      end
	    end
	  end
	  
	end
end)


